| Home | Libraries | People | FAQ | More

###### string::find_last_not_of (2 of 2 overloads)

Find the last occurrence of a character not equal to `ch`.

###### Synopsis

    std::size_t
    find_last_not_of(
        char ch,
        std::size_t pos = npos) const;

###### Description

Returns the index corrosponding to the last character of `{begin(), begin() + pos}` that is not equal to `ch` if it exists, and `npos` otherwise.

###### Complexity

Linear.

###### Return Value

The last occurrence of a character that is not equal to `ch` before or at the index `pos`, or `npos` if none exists.

###### Parameters

Name | Description
--- | ---
`ch` | The character to ignore.
`pos` | The index to start searching at. The default argument for this parameter is `npos`.